Subject: Re: bug#17087: cp -i/yes gets ignored

From: [email-masked] (Karl Berry)
Date: Thu, 27 Mar 2014 18:12:54 GMT

So I responded with 2 reasons why we might not make 'y' imply '-f'
    for unwritable files.

P@, I'm afraid those reasons did not make sense to me.  Can you restate?
Sorry.

To restate my own idea: from my "(not so) naive user"'s point of view,
going to the trouble of typing "y RET" is the most forceful expression
possible of the desired behavior, namely that I want the darn file to
get copied.  So, if cp -f would work, I would like answering "y" to work.

(And, I believe the other user's request amounts to saying "if cp -f
would not work, then don't even bother to ask me".  I don't feel
strongly about that request. :)

    code complexity it never a reason for not doing something.

I suspect we all agree ... in theory :).

Thanks,
karl